std::atomic< unsigned int > Struct Reference
Atomics
Inheritance diagram for std::atomic< unsigned int >:
[legend]

## Public Types

typedef __atomic_base< unsigned int > | __base_type
typedef unsigned int | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
| __attribute__ ((__always_inline__)) void store(__int_type __i
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatile noexcept
| operator __int_type () const noexcept
| operator __int_type () const volatile noexcept
__int_type | operator&= (__int_type __i) noexcept
__int_type | operator&= (__int_type __i) volatile noexcept
__int_type | operator++ () noexcept
__int_type | operator++ () volatile noexcept
__int_type | operator++ (int) noexcept
__int_type | operator++ (int) volatile noexcept
__int_type | operator+= (__int_type __i) noexcept
__int_type | operator+= (__int_type __i) volatile noexcept
__int_type | operator-- () noexcept
__int_type | operator-- () volatile noexcept
__int_type | operator-- (int) noexcept
__int_type | operator-- (int) volatile noexcept
__int_type | operator-= (__int_type __i) noexcept
__int_type | operator-= (__int_type __i) volatile noexcept
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete
__int_type | operator^= (__int_type __i) noexcept
__int_type | operator^= (__int_type __i) volatile noexcept
__int_type | operator|= (__int_type __i) noexcept
__int_type | operator|= (__int_type __i) volatile noexcept

## Detailed Description

Explicit specialization for unsigned int.

Definition at line 684 of file atomic.

The documentation for this struct was generated from the following file:

- atomic